All of lore.kernel.org
 help / color / mirror / Atom feed
From: Jiri Pirko <jiri@resnulli.us>
To: netdev@vger.kernel.org
Cc: davem@davemloft.net, jhs@mojatatu.com, xiyou.wangcong@gmail.com,
	jakub.kicinski@netronome.com, simon.horman@netronome.com,
	john.hurley@netronome.com, dsahern@gmail.com, mlxsw@mellanox.com,
	sridhar.samudrala@intel.com
Subject: [patch net-next v4 10/12] selftests: forwarding: move shblock tc support check to a separate helper
Date: Mon, 23 Jul 2018 09:24:05 +0200	[thread overview]
Message-ID: <20180723072407.4235-1-jiri@resnulli.us> (raw)
In-Reply-To: <20180723072312.4153-1-jiri@resnulli.us>

From: Jiri Pirko <jiri@mellanox.com>

The shared block support is only needed for tc_shblock.sh. No need to
require that for other test.

Signed-off-by: Jiri Pirko <jiri@mellanox.com>
---
 tools/testing/selftests/net/forwarding/lib.sh         | 3 +++
 tools/testing/selftests/net/forwarding/tc_shblocks.sh | 2 ++
 2 files changed, 5 insertions(+)

diff --git a/tools/testing/selftests/net/forwarding/lib.sh b/tools/testing/selftests/net/forwarding/lib.sh
index 2bb9cf303c53..ec94395a54a7 100644
--- a/tools/testing/selftests/net/forwarding/lib.sh
+++ b/tools/testing/selftests/net/forwarding/lib.sh
@@ -33,7 +33,10 @@ check_tc_version()
 		echo "SKIP: iproute2 too old; tc is missing JSON support"
 		exit 1
 	fi
+}
 
+check_tc_shblock_support()
+{
 	tc filter help 2>&1 | grep block &> /dev/null
 	if [[ $? -ne 0 ]]; then
 		echo "SKIP: iproute2 too old; tc is missing shared block support"
diff --git a/tools/testing/selftests/net/forwarding/tc_shblocks.sh b/tools/testing/selftests/net/forwarding/tc_shblocks.sh
index b5b917203815..9826a446e2c0 100755
--- a/tools/testing/selftests/net/forwarding/tc_shblocks.sh
+++ b/tools/testing/selftests/net/forwarding/tc_shblocks.sh
@@ -105,6 +105,8 @@ cleanup()
 	ip link set $swp2 address $swp2origmac
 }
 
+check_tc_shblock_support
+
 trap cleanup EXIT
 
 setup_prepare
-- 
2.14.4

  parent reply	other threads:[~2018-07-23  8:26 UTC|newest]

Thread overview: 25+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-07-23  7:23 [patch net-next v4 00/12] sched: introduce chain templates support with offloading to mlxsw Jiri Pirko
2018-07-23  7:23 ` [patch net-next v4 01/12] net: sched: push ops lookup bits into tcf_proto_lookup_ops() Jiri Pirko
2018-07-23  7:23 ` [patch net-next v4 02/12] net: sched: Avoid implicit chain 0 creation Jiri Pirko
2018-07-23  7:23 ` [patch net-next v4 03/12] net: sched: introduce chain object to uapi Jiri Pirko
2018-07-24 22:30   ` Cong Wang
2018-07-24 23:20     ` Cong Wang
2018-07-25  6:46       ` Jiri Pirko
2018-07-25 16:40         ` Cong Wang
2018-07-26  7:38           ` Jiri Pirko
2018-07-26 10:06             ` Jiri Pirko
2018-07-26 12:27               ` Jiri Pirko
2018-07-23  7:23 ` [patch net-next v4 04/12] net: sched: introduce chain templates Jiri Pirko
2018-07-23  7:23 ` [patch net-next v4 05/12] net: sched: cls_flower: move key/mask dumping into a separate function Jiri Pirko
2018-07-23  7:23 ` [patch net-next v4 06/12] net: sched: cls_flower: change fl_init_dissector to accept mask and dissector Jiri Pirko
2018-07-23  7:23 ` [patch net-next v4 07/12] net: sched: cls_flower: implement chain templates Jiri Pirko
2018-07-23  7:23 ` [patch net-next v4 08/12] net: sched: cls_flower: propagate chain teplate creation and destruction to drivers Jiri Pirko
2018-07-23  7:23 ` [patch net-next v4 09/12] mlxsw: spectrum: Implement chain template hinting Jiri Pirko
2018-07-23  7:24 ` Jiri Pirko [this message]
2018-07-23  7:24 ` [patch net-next v4 11/12] selftests: forwarding: add tests for TC chains creation adn destruction Jiri Pirko
2018-07-23  7:24 ` [patch net-next v4 12/12] selftests: forwarding: add tests for TC chain templates Jiri Pirko
2018-07-23  7:24 ` [patch iproute2/net-next v4] tc: introduce support for " Jiri Pirko
2018-07-25 17:03   ` David Ahern
2018-07-23 16:28 ` [patch net-next v4 00/12] sched: introduce chain templates support with offloading to mlxsw David Miller
2018-07-23 23:36 ` Jakub Kicinski
2018-07-24  3:45 ` David Miller

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20180723072407.4235-1-jiri@resnulli.us \
    --to=jiri@resnulli.us \
    --cc=davem@davemloft.net \
    --cc=dsahern@gmail.com \
    --cc=jakub.kicinski@netronome.com \
    --cc=jhs@mojatatu.com \
    --cc=john.hurley@netronome.com \
    --cc=mlxsw@mellanox.com \
    --cc=netdev@vger.kernel.org \
    --cc=simon.horman@netronome.com \
    --cc=sridhar.samudrala@intel.com \
    --cc=xiyou.wangcong@gmail.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.